Bug 99460 - Mozilla update breaks plugger
Mozilla update breaks plugger
Status: CLOSED UPSTREAM
Product: Red Hat Linux
Classification: Retired
Component: mozilla (Show other bugs)
7.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-20 10:32 EDT by Michal Jaegermann
Modified: 2007-04-18 12:55 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-05 13:20:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2003-07-20 10:32:58 EDT
Description of problem:

An update to mozilla-1.0.2-2.7.3 leaves plugger in a lurch.  The problem
is that plugger rpm expects

/usr/lib/mozilla/plugins/plugger.so

while new mozilla looks for plugins in 

/usr/lib/mozilla-1.0.2/plugins/.  This affects also other plugins,
not supplied by Red Hat (say java or flash).  After moving all relevant
links and files from /usr/lib/mozilla/plugins to /usr/lib/mozilla-1.0.2/plugins
and replacing /usr/lib/mozilla by a link to /usr/lib/mozilla-1.0.2
plugins seem to work fine both in mozilla and in galeon (which relies on
the same structure); at least where galeon still works.
Comment 1 Ngo Than 2003-08-12 08:38:52 EDT
mozilla should look for plugins in /usr/lib/mozilla/plugins instead only
/usr/lib/mozilla-1.0.2/plugins. it's a bug in mozilla
Comment 2 Michael Schwendt 2004-10-22 10:02:00 EDT
Could this be relocated to Fedora Legacy, so a Mozilla update fixes it
there?
Comment 3 Michal Jaegermann 2004-10-22 12:37:04 EDT
I think that this report is now only of a historical value.  Various
version of mozilla will peek either in /usr/lib/mozilla/plugins,
or in /usr/lib/mozilla-<version>/plugins, or in _both_.  Current
versions seem to generally show the last behaviour.

As for Legacy I do not see a reasonable way of fixing various
issues, number of them quite serious, without replacing mozilla
with a some decently current, with known bugs fixed, version.
Comment 4 Bill Nottingham 2006-08-05 00:43:36 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 5 Michal Jaegermann 2006-08-05 13:20:21 EDT
Historical leftover.  Should be closed a long time ago.

Note You need to log in before you can comment on or make changes to this bug.